Start deployment
curl --request POST \
--url https://api.example.com/api/deployments/{id}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectSettings": {
"buildCommand": "<string>",
"outputDirectory": "<string>",
"installCommand": "<string>",
"devCommand": "<string>",
"rootDirectory": "<string>"
},
"envVars": [
{
"key": "<string>",
"value": "<string>"
}
],
"meta": {}
}
'import requests
url = "https://api.example.com/api/deployments/{id}/start"
payload = {
"projectSettings": {
"buildCommand": "<string>",
"outputDirectory": "<string>",
"installCommand": "<string>",
"devCommand": "<string>",
"rootDirectory": "<string>"
},
"envVars": [
{
"key": "<string>",
"value": "<string>"
}
],
"meta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectSettings: {
buildCommand: '<string>',
outputDirectory: '<string>',
installCommand: '<string>',
devCommand: '<string>',
rootDirectory: '<string>'
},
envVars: [{key: '<string>', value: '<string>'}],
meta: {}
})
};
fetch('https://api.example.com/api/deployments/{id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerDeploymentId": "<string>",
"provider": "vercel",
"url": "https://my-app.vercel.app",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"nextActions": "<string>"
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"nextActions": "<string>"
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"nextActions": "<string>"
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"nextActions": "<string>"
}Admin
Start deployment
Starts the provider deployment after source files are available.
POST
/
api
/
deployments
/
{id}
/
start
Start deployment
Authorizations
bearerAuthapiKey
Project admin JWT or an API key passed as a Bearer token.
Path Parameters
Deployment run ID.
Body
application/json
Response
Deployment started
Provider deployment ID. Null until the provider deployment is created.
Example:
"vercel"
Available options:
WAITING, UPLOADING, QUEUED, BUILDING, READY, ERROR, CANCELED Example:
"https://my-app.vercel.app"
Was this page helpful?
⌘I